#
# Sample configuration file for ISC dhcpd for Debian
#
#

# The ddns-updates-style parameter controls whether or not the server will
# attempt to do a DNS update when a lease is confirmed. We default to the
# behavior of the version 2 packages ('none', since DHCP v2 didn't
# have support for DDNS.)
ddns-update-style none;

# option definitions common to all supported networks...
option domain-name "example.org";
option domain-name-servers ns1.example.org, ns2.example.org;

default-lease-time 14400;
max-lease-time 86400;

# If this DHCP server is the official DHCP server for the local
# network, the authoritative directive should be uncommented.
authoritative;

# Use this to send dhcp log messages to a different log file (you also
# have to hack syslog.conf to complete the redirection).
log-facility local7;

subnet 192.168.69.0 netmask 255.255.255.0 {
  range 192.168.69.200 192.168.69.229;
  option domain-name-servers 192.168.69.1, 209.18.47.61, 209.18.47.62;
  option domain-name "office.lan foxcroftacademy.lan foxcroftacademy.org";
  option routers 192.168.69.1;
  option broadcast-address 192.168.69.255;
  default-lease-time 600;
  max-lease-time 7200;
}

host roku {
  hardware ethernet 00:0d:4b:87:ab:63;
  fixed-address roku.office.lan;
}

host appletv {
  hardware ethernet 70:56:81:d4:ff:97;
  fixed-address appletv.office.lan;
}

host beeps-mbp {
  hardware ethernet 70:56:81:98:bc:bd;
  fixed-address beeps-mbp.office.lan;
}

host hobbes {
  hardware ethernet 20:c9:d0:c8:77:71;
  fixed-address hobbes.office.lan;
}

host cto-laptop {
  hardware ethernet f0:2f:4b:08:9a:ca;
  fixed-address cto-laptop.office.lan;
#  option domain-name-servers 209.18.47.61, 209.18.47.62;
}

host hobbes-macbook-pro {
  hardware ethernet 20:c9:d0:c8:77:71;
  fixed-address hobbes-macbook-pro.office.lan;
}

host office {
  hardware ethernet 00:0c:f1:f9:f9:71;
  fixed-address office.office.lan;
}

host vivotek {
  hardware ethernet 00:1b:fe:05:32:9f;
  fixed-address vivotek.office.lan;
}

host samsungtv {
  hardware ethernet f8:3f:51:30:f5:d0;
  fixed-address samsungtv.office.lan;
}

host beeps-iphone {
  hardware ethernet 18:f1:d8:81:2e:c4;
  fixed-address beeps-iphone.office.lan;
}

host robs-pixel {
  hardware ethernet f8:1a:2b:f4:9c:1e;
  fixed-address robs-pixel.office.lan;
}

host robs-ipad {
  hardware ethernet ac:15:f4:82:6e:a9;
  fixed-address robs-ipad.office.lan;
}

host sandys-ipad {
  hardware ethernet 64:20:0c:64:a6:20;
  fixed-address sandys-ipad.office.lan;
}

host switch {
  hardware ethernet 08:cc:68:49:fa:26;
  fixed-address switch.office.lan;
}

host ap-1 {
  hardware ethernet c8:67:5e:aa:c1:c0;
  fixed-address ap-1.office.lan;
}

host ap-2 {
  hardware ethernet c8:67:5e:aa:c4:40;
  fixed-address ap-2.office.lan;
}

host ds {
  hardware ethernet 00:11:32:71:dc:5c;
  fixed-address ds.office.lan;
}

host cto-remote {
  hardware ethernet 18:7e:b9:05:91:ba;
  fixed-address cto-remote.office.lan;
}

host guest-imac {
  hardware ethernet 88:63:df:90:d9:c3;
  fixed-address guest-imac.office.lan;
}

host printer {
  hardware ethernet 94:dd:f8:1c:41:13;
  fixed-address printer.office.lan;
}

host appletv-living-room {
  hardware ethernet 50:32:37:b4:d6:98;
  fixed-address appletv-living-room.office.lan;
}

host appletv-master-bedroom {
  hardware ethernet 50:32:37:b1:56:e0;
  fixed-address appletv-master-bedroom.office.lan;
}

include "/etc/dhcp/dhcpd_vlan10.conf";
include "/etc/dhcp/dhcpd_vlan5.conf";
